# SPDX-FileCopyrightText: 2019-2021 Freemelt AB <opensource@freemelt.com>
#
# SPDX-License-Identifier: GPL-3.0-only

FROM debian:buster-slim
RUN apt-get update && apt-get install -y -q git python3-all dh-python devscripts python3-setuptools python3-dev python3-pip

# Configuration util
ADD Configurator Configurator
RUN pip3 install -r Configurator/requirements.txt
RUN pip3 install Configurator/

# OPCUA lib
ADD opcualib opcualib
RUN pip3 install -r opcualib/requirements.txt
RUN pip3 install opcualib/

# VTService
ADD requirements.txt requirements.txt
RUN pip3 install -r ./requirements.txt
ADD src src
ADD recoaterservice.yaml /etc/freemelt/recoaterservice.yaml

CMD ["python3", "./src/RecoaterService.py"]
